<?php
class THEGLOBALbanner extends WP_Widget {
function THEGLOBALbanner() {
	$widget_ops = array('classname' => 'widget_THEGLOBALbanner', 'description' => __('(Sidebar Only) - Add a 300*250px advertisement banner to your sidebar'));
	$this->WP_Widget('THEGLOBALbanner', __('The Global: Banner Advertisement'), $widget_ops, $control_ops);
}
function widget( $args, $instance ) {
	extract($args);
	$title = apply_filters( 'widget_title', empty($instance['title']) ? '' : $instance['title'], $instance );
	$text = apply_filters( 'widget_execphp', $instance['text'], $instance );
	echo $before_widget;
?>
<?php if( $instance["title"] ) { ?>
	<?php
		echo $before_title;
		echo '' . $instance["title"] . '';
		echo $after_title;
	?>
<?php } else { ?>
<?php } ?>
<center><?php echo $instance['filter'] ? wpautop($text) : $text; ?></center><div style="clear: both;"></div>
<?php
	echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		if ( current_user_can('unfiltered_html') )
			$instance['text'] =  $new_instance['text'];
		else
			$instance['text'] = stripslashes( wp_filter_post_kses( $new_instance['text'] ) );
		$instance['filter'] = isset($new_instance['filter']);
		return $instance;
	}
	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'text' => '' ) );
		$title = strip_tags($instance['title']);
		$text = format_to_edit($instance['text']);
?>
<p><b>Useage:</b></p>
<p>This widget is only suitable for use within any of the <b>Sidebar</b> widgetised areas.</p>
<p>Only suitable for 300*250px banner advertisements.</p>

<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Title:</b></p>
<p>
	<label for="<?php echo $this->get_field_id("title"); ?>">
		<?php _e( 'Widget title (Optional):' ); ?>
		<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
	</label>
</p>		
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Advertisement:</b></p>
<p>
	<label for="<?php echo $this->get_field_id("text"); ?>">
		<?php _e( 'Banner Code:' ); ?>
		<textarea class="widefat" rows="10" cols="20" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"><?php echo $text; ?></textarea></p>
	</label>
</p>		
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<?php
}
}
add_action('widgets_init', create_function('', 'return register_widget("THEGLOBALbanner");'));
?>