<?php // Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) { ?>
	<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php
	return;
}

// add a microid to all the comments
function comment_add_microid($classes) {
	$c_email=get_comment_author_email();
	$c_url=get_comment_author_url();
	if (!empty($c_email) && !empty($c_url)) {
		$microid = 'microid-mailto+http:sha1:' . sha1(sha1('mailto:'.$c_email).sha1($c_url));
		$classes[] = $microid;
	}
	return $classes;	
}
add_filter('comment_class','comment_add_microid');

?>
<br />

<div class="widgetwidecat">
					<h1 class="widget">Readers Comments (<?php comments_number('0','1','%'); ?>)</h1>
</div>
				

<div id="commentblock">




<?php

// show the comments
if ( have_comments() ) : ?>


	<ol class="commentlist" id="singlecomments">


	<?php wp_list_comments(array('type'=>'comment', 'callback'=>'mytheme_comment')); ?>


	</ol>

	
 <?php else : // this is displayed if there are no comments so far ?>
	
<?php endif; ?>
<?php if ('open' == $post-> comment_status) : ?>
<div id="respond">
<div id="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>
<br />
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>


<p><b>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</b></p>


<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>
<div class="commentformstyle">
<p><b>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> (<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">logout</a>)</b></p>
</div>
<?php else : ?>
<div class="commentformstyle">
<p><label for="author"><small>Name <?php if ($req) echo "(required)"; ?></small></label><br /><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="32" tabindex="1" /></p>
<p><label for="email"><small>Email Address <?php if ($req) echo "(required)"; ?></small></label><br /><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="32" tabindex="2" /></p>
<p><label for="url"><small>Website (optional)</small></label><br /><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="32" tabindex="3" /></p>
</div>
<?php endif; ?>

<div>

<?php comment_id_fields(); ?>
<input type="hidden" name="redirect_to" value="<?php echo htmlspecialchars($_SERVER["REQUEST_URI"]); ?>" /></div>
<p><textarea name="comment" id="comment" cols="40" rows="9" tabindex="4"></textarea></p>
<?php if (get_option("comment_moderation") == "1") { ?>
 <p><small><strong>Please note:</strong> Comment moderation is enabled and may delay your comment. There is no need to resubmit your comment.</small></p>
<?php } ?>
<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" /></p>
<?php do_action('comment_form', $post->ID); ?>
</form>

<?php endif; ?>
</div>
<?php else : ?>
<br />
<div class="commentformstyle">
<p>Sorry, comments are closed on this post.</p>
</div>
<?php endif; ?>



</div>