<?php get_header(); ?>
<?php if ( get_option( globaltheme_layoutside ) == "Right Sidebar") { ?>
	<div id="container"><!-- CONTAINER -->
		<div class="maincolumn"><!-- MAIN COLUMN -->
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<h1><?php the_title(); ?></h1>
				<?php the_content(__('Keep Reading'));?>
			<?php endwhile; else: ?>
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			<?php endif; ?>
		</div><!-- /MAIN COLUMN -->
		<div class="sidecolumn"><!-- SIDEBAR -->
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Sidebar (Page)') ) : else : ?>
				<div class="nowidget"><b>NOTE:</b> This sidebar is empty, <a href="<?php echo get_settings('home'); ?>/wp-admin/widgets.php"><u>click here</u></a> and add widgets to the <b>Sidebar (Page)</b> widgetised area.</div>
			<?php endif; ?>
		</div><!-- /SIDEBAR -->
	</div><!-- /CONTAINER -->
<?php } else { ?>
	<div id="containeralt"><!-- CONTAINER -->
		<div class="sidecolumnalt"><!-- SIDEBAR -->
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Sidebar (Page)') ) : else : ?>
				<div class="nowidget"><b>NOTE:</b> This sidebar is empty, <a href="<?php echo get_settings('home'); ?>/wp-admin/widgets.php"><u>click here</u></a> and add widgets to the <b>Sidebar (Page)</b> widgetised area.</div>
			<?php endif; ?>
		</div><!-- /SIDEBAR -->
		<div class="maincolumnalt"><!-- MAIN COLUMN -->
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<h1><?php the_title(); ?></h1>
				<?php the_content(__('Keep Reading'));?>
			<?php endwhile; else: ?>
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			<?php endif; ?>
		</div><!-- /MAIN COLUMN -->
	</div><!-- /CONTAINER -->	
<?php } ?>
<?php get_footer(); ?>