<?php include (TEMPLATEPATH . '/assets/includes/tagtitle.php'); ?>
<?php get_header(); ?>
<?php if ( get_option( globaltheme_layoutside ) == "Right Sidebar") { ?>
	<div id="container"><!-- CONTAINER -->
		<div class="maincolumn"><!-- MAIN COLUMN -->
			<div class="widgetwidecat">
				<h1 class="widget">Tag archive: "<?php echo $multitag; ?>"</h1>
			</div>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'thumb-image', array( 'class' => 'img-thumb' ) ); ?></a>
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<div class="authortext"><?php the_author(); ?></div>
				<?php wpe_excerpt('wpe_excerptlength_teaser', 'wpe_excerptmore'); ?>
				<div class="floatleft">
					<?php if ( get_option( globaltheme_disablecomments ) == "Disable") { ?>
					<?php } else { ?>
						<div class="iconcomment"><a href="<?php the_permalink(); ?>"><?php comments_number('Be the first to comment on this story','1 comment on this story','% comments on this story'); ?></a></div>
					<?php } ?>
					<?php if ( get_post_meta($post->ID, 'video', true) ) { ?>
						<div class="iconvideo"><a href="<?php the_permalink(); ?>"><b>Video:</b> Click to watch this stories video</a></div>
					<?php } else { ?>
					<?php } ?>
				</div>
				<div class="dividerbar"></div>
			<?php endwhile; else: ?>
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			<?php endif; ?>
			<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>
		</div><!-- /MAIN COLUMN -->
		<div class="sidecolumn"><!-- SIDEBAR -->
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Sidebar (Archives)') ) : else : ?>
				<div class="nowidget"><b>NOTE:</b> This sidebar is empty, <a href="<?php echo get_settings('home'); ?>/wp-admin/widgets.php"><u>click here</u></a> and add widgets to the <b>Sidebar (Archives)</b> widgetised area.</div>
			<?php endif; ?>
		</div><!-- /SIDEBAR -->
	</div><!-- /CONTAINER -->
<?php } else { ?>
	<div id="containeralt"><!-- CONTAINER -->
		<div class="sidecolumnalt"><!-- SIDEBAR -->
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Sidebar (Archives)') ) : else : ?>
				<div class="nowidget"><b>NOTE:</b> This sidebar is empty, <a href="<?php echo get_settings('home'); ?>/wp-admin/widgets.php"><u>click here</u></a> and add widgets to the <b>Sidebar (Archives)</b> widgetised area.</div>
			<?php endif; ?>
		</div><!-- /SIDEBAR -->
		<div class="maincolumnalt"><!-- MAIN COLUMN -->
			<div class="widgetwidecat">
				<h1 class="widget">Tag archive: "<?php echo $multitag; ?>"</h1>
			</div>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'thumb-image', array( 'class' => 'img-thumb' ) ); ?></a>
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<div class="authortext"><?php the_author(); ?></div>
				<?php wpe_excerpt('wpe_excerptlength_teaser', 'wpe_excerptmore'); ?>
				<div class="floatleft">
					<?php if ( get_option( globaltheme_disablecomments ) == "Disable") { ?>
					<?php } else { ?>
						<div class="iconcomment"><a href="<?php the_permalink(); ?>"><?php comments_number('Be the first to comment on this story','1 comment on this story','% comments on this story'); ?></a></div>
					<?php } ?>
					<?php if ( get_post_meta($post->ID, 'video', true) ) { ?>
						<div class="iconvideo"><a href="<?php the_permalink(); ?>"><b>Video:</b> Click to watch this stories video</a></div>
					<?php } else { ?>
					<?php } ?>
				</div>
				<div class="dividerbar"></div>
			<?php endwhile; else: ?>
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			<?php endif; ?>
			<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>
		</div><!-- /MAIN COLUMN -->
	</div><!-- /CONTAINER -->
<?php } ?>
<?php get_footer(); ?>