<?php
$options = array (
array( "name" => $themename." Control Panel",
	"type" => "title"),

// CPANEL OPTIONS
array( "name" => "CPanel",
	"type" => "section"),
array( "type" => "open"),
		array( 
		"name"	=> "Jquery CPanel?",
		"desc"	=> "Check this box to activate the Jquery effects on this control panel.<br /><br />(Not IE Friendly)",
		"id"	=> $shortname."_collapse_section",
		"type"	=> "checkbox",
		"std"	=> "true"),	
array( "type" => "close"),

// APPEARANCE SETTINGS
array( "name" => "Appearance",
	"type" => "section"),
array( "type" => "open"),

		array(	"name" => "Sidebar Alignment",
			"desc" => "Select the alignment of your sidebar.<br /><br />",
			"id" => $shortname."_layoutside",
			"type" => "select",
            "std" => "Right Sidebar",
            "options" => array("Left Sidebar","Right Sidebar")
		),
array( "type" => "close"),

// HEADER SETTINGS
array( "name" => "Header",
	"type" => "section"),
array( "type" => "open"),
  		array(	"name" => "Logo Image",
			"desc" => "Enter the full URL to your chosen 386*60px transparent logo image, or leave blank to use the default logo image.<br /><br />",
	   		"id" => $shortname."_customlogo",
	   		"std" => "",
	   		"type" => "textarea"
		),
		array(	"name" => "Search Field",
			"desc" => "Do you want to display the search field?<br /><br />",
			"id" => $shortname."_disablesearch",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Show","Disable")
		),
		array(	"name" => "Members Login",
			"desc" => "Do you want to display the members login block?<br /><br />You will need to allow visitors to register via the 'Settings > General' link within your administration menu.",
			"id" => $shortname."_disablemembers",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Show","Disable")
		),
		 array(	"name" => "Advertisement Banner",
			"desc" => "Enter your 728*90 advertisement banner code, or leave blank to not show a banner.<br /><br />",
    		"id" => $shortname."_bannerhead",
    		"std" => "",
    		"type" => "textarea"
		),
array( "type" => "close"),

// SOCIAL SETTINGS
array( "name" => "Social",
	"type" => "section"),
array( "type" => "open"),
		array( "name" => "Social Bars?",
			"desc"	=> "Check this box to activate the social &amp; feed bars, and the below options.",
			"id"	=> $shortname."_socialbars",
			"type"	=> "checkbox",
			"std"	=> "true"
		),
  		array(	"name" => "Facebook URL",
			"desc" => "Enter the full URL to your <a href=\"http://facebook.com\" target=\"_blank\">Facebook</a> page.<br /><br />",
    		"id" => $shortname."_facebook",
    		"std" => "",
    		"type" => "textarea"
		),
  		array(	"name" => "Custom RSS URL",
			"desc" => "Enter the full URL to your <a href=\"http://feedburner.com\" target=\"_blank\">custom RSS feed</a> page.<br /><br />",
    		"id" => $shortname."_customrss",
    		"std" => "",
    		"type" => "textarea"
		),
array( "type" => "close"),

// POST SETTINGS
array( "name" => "Posts",
	"type" => "section"),
array( "type" => "open"),
		array(	"name" => "Post Date",
			"desc" => "Show the date of your posts?<br /><br />",
			"id" => $shortname."_disabledate",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Disable","Enable")
		),
		array(	"name" => "Post Image",
			"desc" => "Show the attached image within the post body text?<br /><br />",
			"id" => $shortname."_disablepostimg",
			"type" => "select",
            "std" => "Hide",
            "options" => array("Hide","Show")
		),
		array(	"name" => "Gravatars",
			"desc" => "Show <a href=\"http://gravatar.com\" target=\"_blank\">Gravatars</a> beside your comments?<br /><br />",
			"id" => $shortname."_disablegravatar",
			"type" => "select",
            "std" => "Disable Gravatars",
            "options" => array("Disable Gravatars","Large Gravatars","Small Gravatars")
		),
		array(	"name" => "Author Name",
			"desc" => "Show the posts author name?<br /><br />",
			"id" => $shortname."_disableauthorname",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Name and Link","Name Only","Disable")
		),
		array(	"name" => "Tags",
			"desc" => "Show the posts tags below the article?<br /><br />",
			"id" => $shortname."_disabletags",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Disable","Enable")
		),
		array(	"name" => "Facebook Integration",
			"desc" => "Add <a href=\"http://facebook.com\" target=\"_blank\">Facebook</a> integration to your posts?<br /><br />",
			"id" => $shortname."_disablefb",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Disable","Enable")
		),
array( "type" => "close"),

// CATEGORY SETTINGS
array( "name" => "Categories",
	"type" => "section"),
array( "type" => "open"),
		array(	"name" => "Content Rotator",
			"desc" => "Do you want to use the content rotator on your category archive pages?<br /><br /><b>Only the latest browser versions are compatible with the content rotator.</b><br /><br />",
			"id" => $shortname."_disablecatrotator",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Show","Disable")
		),
		array(	"name" => "Pagination",
			"desc" => "Do you want to paginate your category archives?<br /><br />",
			"id" => $shortname."_disablecatpaginate",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Show","Disable")
		),
array( "type" => "close"),

// MISC SETTINGS
array( "name" => "Miscellaneous",
	"type" => "section"),
array( "type" => "open"),
  		array("name" => "Site Description",
			"desc" => "Enter a description of your site for the search engines.<br /><br />(Recommended)<br /><br />",
    		"id" => $shortname."_description",
    		"std" => "",
    		"type" => "textarea"
		),
  		array(	"name" => "Site Keywords",
			"desc" => "Add specific keywords (seperated by commas's) that describe the contents of your site.<br /><br />(Recommended)<br /><br />",
    		"id" => $shortname."_keywords",
    		"std" => "",
    		"type" => "textarea"
		),
		array(	"name" => "Comments System",
			"desc" => "Do you want to enable the commenting system?<br /><br />",
			"id" => $shortname."_disablecomments",
			"type" => "select",
            "std" => "Disable",
            "options" => array("Disable","Enable")
		),
  		array(	"name" => "Tracking Code",
			"desc" => "Add your tracking code (Google analytics or similar) to track your visitors statistics.<br /><br />(Optional)<br /><br />",
    		"id" => $shortname."_analytics",
    		"std" => "",
    		"type" => "textarea"
		),
  		array(	"name" => "Closed Body Tag",
			"desc" => "Enter any custom text or code that will be positioned directly after the closing body tag.<br /><br />Basic HTML allowed, no styling is applied - expert use only.<br /><br />(Optional)<br /><br />",
    		"id" => $shortname."_afterbody",
    		"std" => "",
    		"type" => "textarea"
		),
array( "type" => "close"),

// FOOTER SETTINGS
array( "name" => "Footer",
	"type" => "section"),
array( "type" => "open"),
 		array(	"name" => "Advertisement Banner",
			"desc" => "Enter your 728*90 advertisement banner code, or leave blank to not show a banner.<br /><br />",
    		"id" => $shortname."_bannerfoot",
    		"std" => "",
    		"type" => "textarea"
		),
  		array(	"name" => "Copyright Notice",
			"desc" => "Enter your custom copyright notice text, basic HTML allowed for URL linking<br /><br />(Recommended)<br /><br />",
    		"id" => $shortname."_copyright",
    		"std" => "",
    		"type" => "textarea"
		),
 		array(	"name" => "Credits Text",
			"desc" => "Enter your custom credits text, basic HTML allowed for URL linking.<br /><br />(Optional)<br /><br />",
    		"id" => $shortname."_credits",
    		"std" => "",
    		"type" => "textarea"
		),
array( "type" => "close")
);
?>