<?php
class THEGLOBALcatfeature extends WP_Widget {
	function THEGLOBALcatfeature() {
		$widget_ops = array('classname' => 'widget_THEGLOBALcatfeature', 'description' => __('(Homepage Only) - Large block of posts from all or any of your categories.'));
		$this->WP_Widget('THEGLOBALcatfeature', __('The Global: Category Feature'), $widget_ops, $control_ops);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
		extract( $args );
		if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
	}
	echo $before_widget;
?>
<div class="widgetwidetitle2">
	<div class="widgetwidetitle2-left">
		<?php if( $instance["latest"] ) { ?>
			<?php
			echo $before_title;
			echo 'Latest Headlines';
			echo $after_title;
			?>
		<?php } else { ?>
			<?php
			echo $before_title;
			echo '' . $instance["title"] . '';
			echo $after_title;
			?>
		<?php } ?>
	</div>
	<div class="widgetwidetitle2-right">
		<?php if( $instance["latest"] ) { ?>
		<?php } else { ?>
			<?php
			echo '<a href="' . get_category_link($instance["cat"]) . '">More</a> &raquo;';
			?>
		<?php } ?>
	</div>
</div>
<div class="widgetborder">
<?php if( $instance["latest"] ) { ?>
	<?php $my_query = new WP_Query("&showposts=1" . "&offset=0"); ?>
<?php } else { ?>
	<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=1" . "&offset=0"); ?>
<?php } ?>
<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
	<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'medium-image', array( 'class' => 'img-medium' ) ); ?></a>
		<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		<div class="authortext"><?php the_author(); ?></div>
		<?php wpe_excerpt('wpe_excerptlength_index', 'wpe_excerptmore'); ?>
		<?php if ( get_option( globaltheme_disablecomments ) == "Disable") { ?>
			<?php } else { ?>
				<div class="iconcomment"><a href="<?php the_permalink(); ?>"><?php comments_number('Be the first to comment on this story','1 comment on this story','% comments on this story'); ?></a></div>
			<?php } ?>
		<?php if ( get_post_meta($post->ID, 'video', true) ) { ?>
			<div class="iconvideo"><a href="<?php the_permalink(); ?>"><b>Video:</b> Click to watch this stories video</a></div>
		<?php } else { ?>
		<?php } ?>	
<?php endwhile; ?>
<div class="divider"></div>
<?php if( $instance["altlayout"] ) { ?>
	<div class="catloweralt">
		<div class="catloweralt-left">
			<?php if( $instance["latest"] ) { ?>
				<?php if( $instance["altext"] ) { ?>
					<?php $my_query = new WP_Query("&showposts=2" . "&offset=1"); ?>
				<?php } else { ?>
					<?php $my_query = new WP_Query("&showposts=1" . "&offset=1"); ?>
				<?php } ?>
			<?php } else { ?>
				<?php if( $instance["altext"] ) { ?>
					<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=2" . "&offset=1"); ?>
				<?php } else { ?>
					<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=1" . "&offset=1"); ?>
				<?php } ?>
			<?php } ?>
			<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
				<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'thumb-image', array( 'class' => 'img-thumb' ) ); ?></a>
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<div class="authortext"><?php the_author(); ?></div>
				<?php wpe_excerpt('wpe_excerptlength_teaser', 'wpe_excerptmore'); ?>
				<?php if ( get_option( globaltheme_disablecomments ) == "Disable") { ?>
				<?php } else { ?>
					<div class="iconcomment"><a href="<?php the_permalink(); ?>"><?php comments_number('Be the first to comment on this story','1 comment on this story','% comments on this story'); ?></a></div>
				<?php } ?>
				<?php if ( get_post_meta($post->ID, 'video', true) ) { ?>
					<div class="iconvideo"><a href="<?php the_permalink(); ?>"><b>Video:</b> Click to watch this stories video</a></div>
				<?php } else { ?>
				<?php } ?>
				<div class="divider"></div>
			<?php endwhile; ?>
		</div>
		<div class="catloweralt-right">
			<ul>
				<?php if( $instance["latest"] ) { ?>
					<?php if( $instance["altext"] ) { ?>
						<?php $my_query = new WP_Query("&showposts=10" . "&offset=3"); ?>
					<?php } else { ?>
						<?php $my_query = new WP_Query("&showposts=5" . "&offset=2"); ?>
					<?php } ?>
				<?php } else { ?>
					<?php if( $instance["altext"] ) { ?>
						<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=10" . "&offset=3"); ?>
					<?php } else { ?>
						<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=5" . "&offset=2"); ?>
					<?php } ?>
				<?php } ?>
				<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
					<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
	</div>
<?php } else { ?>
	<div class="catlower">
		<div class="catlower-left">
			<ul>
				<?php if( $instance["latest"] ) { ?>
					<?php $my_query = new WP_Query("&showposts=3" . "&offset=1"); ?>
				<?php } else { ?>
					<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=3" . "&offset=1"); ?>
				<?php } ?>
				<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
					<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
		<div class="catlower-middle">
			<ul>
				<?php if( $instance["latest"] ) { ?>
					<?php $my_query = new WP_Query("&showposts=3" . "&offset=4"); ?>
				<?php } else { ?>
					<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=3" . "&offset=4"); ?>
				<?php } ?>
				<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
					<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
		<div class="catlower-right">
			<ul>
				<?php if( $instance["latest"] ) { ?>
					<?php $my_query = new WP_Query("&showposts=3" . "&offset=7"); ?>
				<?php } else { ?>
					<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=3" . "&offset=7"); ?>
				<?php } ?>
				<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
					<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
	</div>
<?php } ?>
</div>
<?php
	echo $after_widget;
	$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) 
	{
?>
<p><b>Useage:</b></p>
<p>This widget is only suitable for use within the <b>Homepage</b> widgetised area.</p>
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Title:</b></p>
<p>
	<label for="<?php echo $this->get_field_id("title"); ?>">
		<?php _e( 'Widget Title: (optional)' ); ?>
		<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
	</label>
</p>		
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Contents:</b></p>
<p>
	<label for="<?php echo $this->get_field_id("latest"); ?>">
		<?php _e( 'All categories?' ); ?>
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("latest"); ?>" name="<?php echo $this->get_field_name("latest"); ?>"<?php checked( (bool) $instance["latest"], true ); ?> />
	</label>
</p>
<p>
	<label for="<?php echo $this->get_field_id("cat"); ?>">
		<?php _e( 'Specific category?' ); ?>		
		<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
	</label>
</p>
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Alternate Layout:</b></p>

<p>
	<label for="<?php echo $this->get_field_id("altlayout"); ?>">
		<?php _e( 'Activate?' ); ?>
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("altlayout"); ?>" name="<?php echo $this->get_field_name("altlayout"); ?>"<?php checked( (bool) $instance["altlayout"], true ); ?> />
	</label>
</p>
<p>
	<label for="<?php echo $this->get_field_id("altext"); ?>">
		<?php _e( 'Extended?' ); ?>
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("altext"); ?>" name="<?php echo $this->get_field_name("altext"); ?>"<?php checked( (bool) $instance["altext"], true ); ?> />
	</label>
</p>
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<?php
	}
	}
add_action( 'widgets_init', create_function('', 'return register_widget("THEGLOBALcatfeature");') );
?>