<?php
class THEGLOBALrandomiser extends WP_Widget {
	function THEGLOBALrandomiser() {
		$widget_ops = array('classname' => 'widget_THEGLOBALrandomiser', 'description' => __('(Sidebar Only) - List any amount of posts at random'));
		$this->WP_Widget('THEGLOBALrandomiser', __('The Global: Random list'), $widget_ops, $control_ops);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
	extract( $args );
	if( !$instance["title"] ) {
		$category_info = get_category($instance["cat"]);
		$instance["title"] = $category_info->name;
	}
	echo $before_widget;
	echo $before_title;			
	if( $instance["title"] )
		echo '' . $instance["title"] . '';
	else
		echo 'Random Posts';
	echo $after_title;
?>
<ul>
	<?php $my_query = new WP_Query("cat=" . $instance["cat"] . "&showposts=" . $instance["show"] . "&offset=" . $instance["skip"]); ?>
	<?php
		$rand_posts = get_posts("numberposts=" . $instance["show"] . "&orderby=rand");
		foreach( $rand_posts as $post ) :
	?>
		<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
	<?php endforeach; ?>
</ul>
<?php
	echo $after_widget;
	$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) {
?>
<p><b>Useage:</b></p>
<p>This widget is only suitable for use within any of the <b>Sidebar</b> widgetised areas.</p>
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Title:</b></p>
<p>
	<label for="<?php echo $this->get_field_id("title"); ?>">
		<?php _e( 'Widget Title:' ); ?>
		<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
	</label>
</p>		
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<p><b>Options:</b></p>		
<p>
	<label for="<?php echo $this->get_field_id("show"); ?>">
		<?php _e( 'Post Count:' ); ?>
		<input style="text-align: center;" id="<?php echo $this->get_field_id("show"); ?>" name="<?php echo $this->get_field_name("show"); ?>" type="text" value="<?php echo absint($instance["show"]); ?>" size='3' />
	</label>
</p>
<p><div style="clear: both; padding-bottom: 5px; margin-bottom: 15px; border-bottom: 1px solid #efefef;"></div></p>
<?php
	}
	}
add_action( 'widgets_init', create_function('', 'return register_widget("THEGLOBALrandomiser");') );
?>