<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="distribution" content="global" />
	<meta name="robots" content="follow, all" />
	<meta name="language" content="en" />
	<meta name="keywords" content="<?php $keywords = get_option('globaltheme_keywords'); echo stripslashes($keywords); ?>" />
	<meta name="description" content="<?php $description = get_option('globaltheme_description'); echo stripslashes ($description); ?>" />
	<title>
		<?php if ( is_home() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?>
		<?php if ( is_search() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?>
		<?php if ( is_author() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?>
		<?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<? bloginfo('name'); ?><?php } ?>
		<?php if ( is_page() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?>
		<?php if ( is_category() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?>
		<?php if ( is_month() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?>
		<?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><? bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?>
	</title>
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	<?php wp_head(); ?>
	<style type="text/css" media="screen"><!-- @import url( <?php bloginfo('stylesheet_url'); ?> ); --></style>
	<?php include (TEMPLATEPATH . '/assets/includes/javascript.php'); ?>
</head>
<body>
	<div id="wrapper"><!-- WRAPPER -->
		<div id="header"><!-- HEADER -->
			<div class="header-left">
				<?php if ( $customlogo = get_option('globaltheme_customlogo') ) { ?>
					<a href="<?php echo get_settings('home'); ?>"><img src="<?php $customlogo = get_option('globaltheme_customlogo'); echo stripslashes($customlogo); ?>" style="width: 500px; height: 60px; border: 0px;" /></a>
				<?php } else { ?>
					<a href="<?php echo get_settings('home'); ?>"><img src="<?php bloginfo('template_directory'); ?>/assets/images/theglobalsport_logo.png" style="border: 0px;" alt="logo"  /></a>
				<?php } ?>
			</div>
			<div class="header-middle">
				<?php if ( get_option( globaltheme_disablesearch ) == "Disable") { ?>
					&nbsp;
				<?php } else { ?>
					<form id="searchform" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
						<input type="text" value="" name="s" id="searchbox" onfocus="if (this.value == '') {this.value = '';}" onblur="if (this.value == '') {this.value = '';}" />
						<input type="submit" id="searchbutton" value="" />
					</form>
				<?php } ?>
			</div>
			<?php if ( get_option( globaltheme_disablemembers ) == "Disable") { ?>
				&nbsp;
			<?php } else { ?>
				<div class="header-right">
					<?php if ( is_user_logged_in() ) { ?> 
						<div class="panel-member">
					<?php } else { ?>
						<div class="panel">
					<?php } ?>
					<?php if ( is_user_logged_in() ) { ?> 
						<b>
							Welcome back, 
							<?php
								global $current_user;
								if ( isset($current_user) ) {
								echo $current_user->display_name;
								}
							?>.
						</b>
						<br />
						<a href="<?php echo get_settings('home'); ?>/wp-admin/profile.php">User Profile</a> &nbsp; / &nbsp; <?php wp_register('', ''); ?> &nbsp; / &nbsp; <?php wp_loginout(); ?>
					<?php } else { ?>
						<b>
							Welcome back, visitor.
						</b>
						<br />
						<?php wp_register('', ''); ?> &nbsp; / &nbsp; <?php wp_loginout(); ?> &nbsp; / &nbsp; <a href="<?php echo get_settings('home'); ?>/wp-login.php?action=lostpassword">Lost Password?</a>
					<?php } ?> 
					</div>
				</div>
			<?php } ?>				
		</div><!-- /HEADER -->
		<div id="nav"><!-- DROPDOWN MENU -->
			<?php wp_nav_menu( array('menu' => 'Main Menu' )); ?>
		</div><!-- /DROPDOWN MENU -->
		<?php if ( $bannerhead = get_option('globaltheme_bannerhead') ) { ?>
			<div class="topbanner"><!-- TOPBANNER -->
				<center><?php $bannerhead = get_option('globaltheme_bannerhead'); echo stripslashes($bannerhead); ?></center>
			</div><!-- /TOPBANNER -->
		<?php } else { ?>
		<?php } ?>